Subject: Re: bug#59322: [PATCH 0/2] gnu: racket: Update to 8.7.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 23 Nov 2022 19:44:42 +0100

Hi Philip & all,

Philip McGrath <[email-masked]> skribis:

> On Saturday, November 19, 2022 2:54:55 AM EST Liliana Marie Prikler wrote:
>> Am Freitag, dem 18.11.2022 um 14:33 -0500 schrieb Philip McGrath:
>> > I could certainly imagine having a Chez team that doesn't necessarily
>> > care about Racket. Likewise, in both languages, I imagine there could
>> > be people  interested in packages that use the language but who
>> > wouldn't necessarily be interested in the packaging of the compilers
>> > and run-time systems themselves.
>> > But, since no one else has signed on and I've made the majority of
>> > changes to both files in the last two years, designing a more fine-
>> > grained team structure seemed premature.
>> 
>> I can see where you're coming from, but my personal opinion is that
>> merging these "two" teams now might discourage us from splitting them
>> later.  In my humble opinion, adding a chez team with you as sole
>> member wouldn't hurt for the time being.
>> 
>
> Is there a requirement that teams' scopes be disjoint? In other words, is 
> there any reason "gnu/packages/chez.scm" shouldn't be in scope for both the 
> racket team and a potential chez team?

No.  To me, the goal of teams is to have groups of people one can talk
to when touching a particular part of the code base.  In that sense,
your patch is a welcome improvement over the status quo; in fact, it
just formalizes what has been a de-facto situation: you’re our Racket
and Chez expert.  And even a Racket ambassador.  :-)

So I think we can go ahead with this patch and remain open to getting
more folks on board whenever an opportunity arises.

Thoughts?

Thanks,
Ludo’.